Subject: Re: [bug#39108] [PATCH] gnu: Add gst-editing-services.

From: Leo Prikler <[email-masked]>
Date: Tue, 14 Jan 2020 01:39:38 +0100

Am Montag, den 13.01.2020, 23:48 +0100 schrieb Marius Bakke:
> Leo Prikler <[email-masked]> writes:
> 
> > * gnu/packages/gstreamer (gst-editing-services): New variable.
> 
> Thanks!
> 
> [...]
>   
> > +(define-public gst-editing-services
> > +  (package
> > +    (name "gst-editing-services")
> > +    (version "1.16.2")
> > +    (source (origin
> > +              (method url-fetch)
> > +              (uri (string-append
> > +                    "https://gstreamer.freedesktop.org/src/" name
> > "/"
> > +                    "gstreamer-editing-services-" version
> > ".tar.xz"))
> > +              (sha256
> > +               (base32
> > +                "05hcf3prna8ajjnqd53221gj9syarrrjbgvjcbhicv0c38csc
> > 1hf"))))
> > +    (build-system gnu-build-system)
> 
> IIRC gstreamer will no longer support gnu-build-system starting with
> 1.18.  So let's just go straight for Meson here, WDYT?
Sure, why not?  It would at least build, though I've "tested" only the
gnu version in terms of actual editing capabilities (some lightweight
clip mixing).

> If you're up for it, it would be good to change the other gstreamer
> packages already as well, to make the transition easier.
> 
> > +    (arguments
> > +     ;; TODO: 16/22 failing tests with meson, 21 with gnu
> > +     `(#:tests? #f))
> 
> When so many tests are failing, it is typically a sign that a
> dependency
> or file is missing, e.g. execve("/bin/sh" ...) somewhere.  Can you
> try
> to figure out what is causing these failures?
Not easily, sadly.  Gstreamer 1.16.2 broke for me in some quite
interesting ways, even outside of packaging, and I have little trust in
my ability to fix it – other than applying some kind of workaround for
my personal use.  (See 39126 for details.)
>From what I recall, most of the failing tests are not even failing,
they are erroring, outputting some critical message and a stack trace. 
The problem here is, that you get get critical errors if even just one
element inside a large pipeline behaves badly.  Of course, you can get
the same kind of error, but with a different message, if the plugin
can't even be found.

As far as building gstreamer with meson is concerned, I can look into
it, but the gstreamer package itself has 400 dependants and thus
belongs to staging.  I'm not quite sure whether we can get
implementation + reviews done before the 19th, but let's see what's
possible.

Regards,
Leo